Summary: e-smith server and gateway - apache module
%define name e-smith-apache
Name: %{name}
%define version 1.1.2
%define release 01
Version: %{version}
Release: %{release}
License: GPL
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.15.1
Requires: e-smith-daemontools >= 1.7.1-01
Conflicts: e-smith-ibays < 1.0.2
AutoReqProv: no
BuildRequires: e-smith-devtools >= 1.11.0-12

%description
e-smith server and gateway software - apache module.

%changelog
* Wed Nov 17 2004 Mark Knox <markk@e-smith.com>
- [1.1.2-01]
- Picking up new directory. MN00056429.

* Wed Nov 17 2004 Mark Knox <markk@e-smith.com>
- [1.1.1-03]
- Added empty ValidFrom defaults fragment [markk MN00056429]

* Tue Nov  9 2004 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-02]
- Modify config and run script for compatibility with apache 2. Most of these
  changes were contributed by Shad Lords. [charlieb MN00051144]

* Mon Oct  4 2004 Charlie Brady <charlieb@e-smith.com>
- [1.1.1-01]
- New development stream for apache 2 - 1.1.1

* Fri Sep  3 2004 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-23]
- Clean BuildRequires. [charlieb MN00043055]

* Tue Jul 13 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-22]
- Updated modPerl templates to remove use of esmith::config.
  [msoulier MN00039579]

* Tue Jun 22 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-21]
- Added RewriteCond statements to previous RewriteRules to exclude localhost,
  so ssh port-forwarding is not broken. [msoulier MN00020885]

* Fri Jun 18 2004 Tony Clayton <apc@e-smith.com>
- [1.1.0-20]
- Fix LoadModule fragment from last patch [tonyc 11348]

* Mon Jun 14 2004 Tony Clayton <apc@e-smith.com>
- [1.1.0-19]
- Add modPerl service and httpd.conf templates [tonyc 11348]

* Mon May 10 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-18]
- Adding rewrite rules to prevent plaintext access to the server manager.
  [msoulier MN00020885]

* Thu May  6 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-17]
- Added httpd-admin's remoteaccess list to permissible networks for
  server-resources. [msoulier MN00024949]

* Mon Feb 23 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-16]
- Backing-out last change. [msoulier dpar-21489]

* Mon Feb 23 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-15]
- Added restart-httpd-graceful to domain-* events. [msoulier dpar-21489]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-14]
- Updating requires to e-smith-daemontools. [msoulier 7629]

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-13]
- Updating restart-httpd-graceful to use new daemontools sigusr1 option.
  [msoulier 7629]

* Wed Jan 21 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-12]
- Staggering the symlinks a little farther. [msoulier 9955]

* Wed Jan 21 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-11]
- Adding symlinks to the service-domain-create event for httpd restart.
  [msoulier 9955]

* Tue Dec  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-10]
- Fixed another error in the specfile, resulting in incorrect file
  permissions. [msoulier 7629]
- Updated action scripts for supervise. [msoulier 7629]

* Tue Dec  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-09]
- Fixed an error in the specfile. [msoulier 7629]

* Tue Dec  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-08]
- Updated createlinks for daemontools. [msoulier 7629]

* Tue Dec  9 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-07]
- Putting httpd-e-smith under supervision. [msoulier 7629]

* Thu Sep 18 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-06]
- Added a null-string return value to the end of 00Setup, ensure no output
  from that fragment. [msoulier 9803]

* Wed Sep  3 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-05]
- Use implementation class, not virtual class in  VirtualHosts/00Setup fragment.
  [charlieb 9803]

* Wed Sep  3 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-04]
- Added a 75AddType05.exe fragment to specify a proper mime-type for .exe
  files. [msoulier 9866]

* Fri Aug 29 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-03]
- Allow TemplatePath property in domain record to specify an alternate template
  subdir for virtual host content specification (e.g. to proxypass a domain).
  [charlieb 8409]

* Fri Aug 29 2003 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-02]
- Changed the VirtualHosts subtemplate to pass the domain object instead of db handle,
  and modified VirtualHosts/00Setup fragment to convert it to the right class.
  Fix scoping problem with the blessed object. [charlieb 9803]

* Fri Aug 29 2003 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-01]
- rolling to dev stream - 1.1.0

* Fri Aug 29 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.0-04]
- Added a 00Setup fragment to VirtualHosts to process the %domainsdb hash back
  into an esmith::DomainsDB object. [msoulier 9803]

* Mon Aug 25 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.0-03]
- Added a reference to the domains db in the extra data for processing the
  VirtualHosts fragments. [msoulier 9803]

* Fri Aug  1 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.0-02]
- Fixed a precedence error that broke virtual hosts in apache.
  [msoulier 9640]

* Wed Jul  9 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Setting to release version number  - 1.0.0

* Wed Jul  9 2003 Michael Soulier <msoulier@e-smith.com>
- [0.2.0-04]
- Fixed breakage in admin web server when a local network with a 32-bit subnet
  mask is used. [msoulier 9259]

* Thu Jul  3 2003 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-03]
- Fix log noise problem in expansion of httpd.conf template. [charlieb 9269]

* Wed Jul  2 2003 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-02]
- List primary domain as first (default) virtual domain in apache config.
  Include $SystemName.domain.name in ServerAlias directive. [charlieb 9241]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-01]
- Changing version to stable stream number - 0.2.0

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.2-01]
- Add order to migrate fragments [gordonr 9015]

* Wed Jun 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-02]
- Fixed Conflicts header - should be <, not <= [gordonr 8903]

* Fri Jun  6 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.1-01]
- Shuffled some httpd.conf fragments to e-smith-ibays [gordonr 8903]

* Wed May 28 2003 Michael Soulier <msoulier@e-smith.com>
- [0.1.0-19]
- Moving httpd-e-smith init script to e-smith-apache. [msoulier 8852]

* Tue Apr 29 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-18]
- Do an explicit die if the httpd-e-smith record is missing from the
  config db, rather than an implicit die due to an invalid object
  reference [gordonr 8609]

* Wed Apr  9 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-17]
- Relocated conf-httpd from e-smith-base [gordonr 8150]

* Fri Apr  4 2003 Mark Knox <markk@e-smith.com>
- [0.1.0-16]
- Moved restart-httpd-* actions from base [markk 5509]

* Fri Apr  4 2003 Mark Knox <markk@e-smith.com>
- [0.1.0-15]
- Moved db config fragments here from e-smith-base [markk 5509]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-14]
- Make /server-resources/ browsable from LAN [gordonr 6620]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-13]
- Delete Apache ReadmeName directive [gordonr 6313]

* Tue Apr  1 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-12]
- Fixed broken conf-httpd-e-smith links in post-{install,upgrade} [gordonr 7960]

* Tue Mar 18 2003 Lijie Deng <lijied@e-smith.com>
- [0.1.0-11]
- Deleted ./etc/httpd/conf/httpd.conf/template-begin 
  deleted ./etc/httpd/conf/srm.conf/template-begin
  deleted ./etc/httpd/conf/access.conf/template-begin [lijied 3295]

* Mon Mar 17 2003 Lijie Deng <lijied@e-smith.com>
- [0.1.0-10]
- Delete empty template-end file  [lijied 3295]
  
* Wed Mar 12 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-09]
- Remove more references to primary and wwwpublic in favour
  of the "Primary" i-bay. There is still some special case code,
  which might go later if it turns out not to be needed.
  [charlieb 5652]

* Tue Mar 11 2003 Mark Knox <markk@e-smith.com>
- [0.1.0-08]
- Fixed a missing quote in 27ManagerProxyPass [markk 7635]

* Tue Mar 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-07]
- Pass externalSSLAccess and localAccess to VirtualDomains fragments so they don't
  need to recalculate these values [gordonr 7635]
- Use early return from 27ManagerProxyPass and new DB interface [gordonr 7635]

* Mon Mar 10 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-06]
- Remove special case handling for /home/e-smith/files/primary in Apache
  configuration. Migrate code and db entries for wwwpublic to Public.
  [charlieb 5652]

* Fri Mar  7 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-05]
- Replace deprecated CONFREF with MORE_DATA in processTemplate call in
  VirtualHosts fragment of httpd.conf templates. Fixes template
  expansion breakage (I'm not sure what broke it, but this fixes it.)
  [charlieb]
- Add default config db fragments to set type and status. Remove redundant
  conf-httpd-e-smith script. [charlieb 1507]

* Fri Jan 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-04]
- Move SSL initialisation to global context [gordonr 1432]

* Fri Jan 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.0-03]
- Use default SSL certificate of $SystemName.$DomainName [gordonr 4874]

* Wed Jan  8 2003 Mark Knox <markk@e-smith.com>
- [0.1.0-02]
- Added conf-httpd-e-smith action linked to the same events as conf-startup
  in e-smith-base [markk 6428]

* Mon Jan 06 2003 Mark Knox <m_knox@mitel.com>
- [0.1.0-01]
- Initial release, split out from e-smith-base [markk 6428]

%prep
%setup

%pre

%post

%build
perl createlinks
mkdir -p root/service
ln -s /var/service/httpd-e-smith root/service/httpd-e-smith
mkdir -p root/var/service/httpd-e-smith/supervise
touch root/var/service/httpd-e-smith/down

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/service/httpd-e-smith 'attr(01755,root,root)' \
    --file /var/service/httpd-e-smith/down 'attr(0644,root,root)' \
    --file /var/service/httpd-e-smith/run 'attr(0755,root,root)' \
    > e-smith-%{version}-filelist

echo "%doc COPYING"          >> e-smith-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f e-smith-%{version}-filelist
%defattr(-,root,root)
